<?php
/**
 * Controlador
 *
 * @package INV
 * $Revision: 1.76 $
 */
 include 'igep/include/gvHidraMaps.php';


	class ComponentesMap extends gvHidraMaps {
        /**
         *      constructor function
         *      @return void
         */
		function ComponentesMap () {
                
            //Llamamos al constructor del padre. Cargamos la accines genricas de Igep           	
			parent::gvHidraMaps();				

			$this->_AddMapping('abrirAplicacion', 'AppMainWindow');
			$this->_AddForward('abrirAplicacion', 'gvHidraOpenApp', 'index.php?view=igep/views/aplicacion.php');
			$this->_AddForward('abrirAplicacion', 'gvHidraCloseApp', 'index.php?view=igep/views/gvHidraCloseApp.php');

			$this->_AddMapping('cerrarAplicacion', 'AppMainWindow');
			$this->_AddForward('cerrarAplicacion', 'gvHidraCloseApp', 'index.php?view=igep/views/gvHidraCloseApp.php');
			
			/*Donantes*/
			$this->_AddMapping('TinvDonantes__iniciarVentana', 'TinvDonantes');
			$this->_AddForward('TinvDonantes__iniciarVentana', 'gvHidraSuccess', 'index.php?view=views/patronesSimples/Tabular-Registro/p_donantes.php&panel=buscar');
			$this->_AddForward('TinvDonantes__iniciarVentana', 'gvHidraError', 'index.php?view=views/patronesSimples/Tabular-Registro/p_donantes.php');

			$this->_AddMapping('TinvDonantes__buscar', 'TinvDonantes');
			$this->_AddForward('TinvDonantes__buscar', 'gvHidraSuccess', 'index.php?view=views/patronesSimples/Tabular-Registro/p_donantes.php&panel=listar');
			$this->_AddForward('TinvDonantes__buscar', 'gvHidraError', 'index.php?view=views/patronesSimples/Tabular-Registro/p_donantes.php');
			
			
			$this->_AddMapping('TinvDonantes__borrar', 'TinvDonantes');
			$this->_AddForward('TinvDonantes__borrar', 'gvHidraSuccess', 'index.php?view=views/patronesSimples/Tabular-Registro/p_donantes.php&panel=listar');
			$this->_AddForward('TinvDonantes__borrar', 'gvHidraNoData', 'index.php?view=views/patronesSimples/Tabular-Registro/p_donantes.php&panel=buscar');
			
			$this->_AddMapping('TinvDonantes__cancelarTodo', 'TinvDonantes');
			$this->_AddForward('TinvDonantes__cancelarTodo', 'gvHidraSuccess', 'index.php?view=views/patronesSimples/Tabular-Registro/p_donantes.php');
			
			$this->_AddMapping('TinvDonantes__cancelarEdicion', 'TinvDonantes');
			$this->_AddForward('TinvDonantes__cancelarEdicion', 'gvHidraSuccess', 'index.php?view=views/patronesSimples/Tabular-Registro/p_donantes.php&panel=listar');
			
			$this->_AddMapping('TinvDonantes__editar', 'TinvDonantes');
			$this->_AddForward('TinvDonantes__editar', 'gvHidraSuccess', 'index.php?view=views/patronesSimples/Tabular-Registro/p_donantes.php&panel=editar');
			$this->_AddForward('TinvDonantes__editar', 'gvHidraError', 'index.php?view=views/patronesSimples/Tabular-Registro/p_donantes.php&panel=listar');
			
			$this->_AddMapping('TinvDonantes__nuevo', 'TinvDonantes');
			$this->_AddForward('TinvDonantes__nuevo', 'gvHidraSuccess', 'index.php?view=views/patronesSimples/Tabular-Registro/p_donantes.php&panel=editar');				
			
			$this->_AddMapping('TinvDonantes__insertar', 'TinvDonantes');
			$this->_AddForward('TinvDonantes__insertar', 'gvHidraSuccess', 'index.php?view=views/patronesSimples/Tabular-Registro/p_donantes.php&panel=buscar');
			
			$this->_AddMapping('TinvDonantes__modificar', 'TinvDonantes');
			$this->_AddForward('TinvDonantes__modificar', 'gvHidraSuccess', 'index.php?view=views/patronesSimples/Tabular-Registro/p_donantes.php&panel=editar');
			
		
			/*Propietario*/
			$this->_AddMapping('Propietario__iniciarVentana', 'Propietario');
			$this->_AddForward('Propietario__iniciarVentana', 'gvHidraSuccess', 'index.php?view=views/Propietarios/p_Propietario.php&panel=buscar');
			$this->_AddForward('Propietario__iniciarVentana', 'gvHidraError', 'index.php?view=views/Propietarios/p_Propietario.php');

			$this->_AddMapping('Propietario__buscar', 'Propietario');
			$this->_AddForward('Propietario__buscar', 'gvHidraSuccess', 'index.php?view=views/Propietarios/p_Propietario.php&panel=listar');
			$this->_AddForward('Propietario__buscar', 'gvHidraError', 'index.php?view=views/Propietarios/p_Propietario.php');
			
			$this->_AddMapping('Propietario__operarBD', 'Propietario');
			$this->_AddForward('Propietario__operarBD', 'gvHidraSuccess', 'index.php?view=views/Propietarios/p_Propietario.php&panel=listar');
			$this->_AddForward('Propietario__operarBD', 'gvHidraError', 'index.php?view=views/Propietarios/p_Propietario.php');
			
			$this->_AddMapping('Propietario__borrar', 'Propietario');
			$this->_AddForward('Propietario__borrar', 'gvHidraSuccess', 'index.php?view=views/Propietarios/p_Propietario.php&panel=listar');
			$this->_AddForward('Propietario__borrar', 'gvHidraNoData', 'index.php?view=views/Propietarios/p_Propietario.php&panel=buscar');
			
			$this->_AddMapping('Propietario__cancelarTodo', 'Propietario');
			$this->_AddForward('Propietario__cancelarTodo', 'gvHidraSuccess', 'index.php?view=views/Propietarios/p_Propietario.php');
			
			$this->_AddMapping('Propietario__cancelarEdicion', 'Propietario');
			$this->_AddForward('Propietario__cancelarEdicion', 'gvHidraSuccess', 'index.php?view=views/Propietarios/p_Propietario.php&panel=listar');
			
			$this->_AddMapping('Propietario__editar', 'Propietario');
			$this->_AddForward('Propietario__editar', 'gvHidraSuccess', 'index.php?view=views/Propietarios/p_Propietario.php&panel=editar');
			$this->_AddForward('Propietario__editar', 'gvHidraError', 'index.php?view=views/Propietarios/p_Propietario.php&panel=listar');
			
			$this->_AddMapping('Propietario__nuevo', 'Propietario');
			$this->_AddForward('Propietario__nuevo', 'gvHidraSuccess', 'index.php?view=views/Propietarios/p_Propietario.php&panel=listar');				
			
			$this->_AddMapping('Propietario__insertar', 'Propietario');
			$this->_AddForward('Propietario__insertar', 'gvHidraSuccess', 'index.php?view=views/Propietarios/p_Propietario.php&panel=buscar');
			
			$this->_AddMapping('Propietario__modificar', 'Propietario');
			$this->_AddForward('Propietario__modificar', 'gvHidraSuccess', 'index.php?view=views/Propietarios/p_Propietario.php&panel=listar');		
			/*Provincias - Municipios*/
			$this->_AddMapping('Provincias__nuevo', 'Provincias');
			$this->_AddForward('Provincias__nuevo', 'gvHidraSuccess', 'index.php?view=views/Puertos/p_Provincias.php&panel=listar');


			$this->_AddMapping('Provincias__operarBD', 'Provincias');
			$this->_AddForward('Provincias__operarBD', 'gvHidraSuccess', 'index.php?view=views/Puertos/p_Provincias.php&panel=listar');
			$this->_AddForward('Provincias__operarBD', 'gvHidraNoData', 'index.php?view=views/Puertos/p_Provincias.php&panel=buscar');

			$this->_AddMapping('Provincias__iniciarVentana', 'Provincias');
			$this->_AddForward('Provincias__iniciarVentana', 'gvHidraSuccess', 'index.php?view=views/Puertos/p_Provincias.php&panel=buscar');
			$this->_AddForward('Provincias__iniciarVentana', 'gvHidraError', 'index.php?view=views/Puertos/p_Provincias.php&panel=buscar');


			$this->_AddMapping('Provincias__buscar', 'Provincias');
			$this->_AddForward('Provincias__buscar', 'gvHidraSuccess', 'index.php?view=views/Puertos/p_Provincias.php&panel=listar');
			$this->_AddForward('Provincias__buscar', 'gvHidraError', 'index.php?view=views/Puertos/p_Provincias.php&panel=listar');
			$this->_AddForward('Provincias__buscar', 'gvHidraNoData', 'index.php?view=views/Puertos/p_Provincias.php&panel=buscar');

			$this->_AddMapping('Provincias__cancelarTodo', 'Provincias');
			$this->_AddForward('Provincias__cancelarTodo', 'gvHidraSuccess', 'index.php?view=views/Puertos/p_Provincias.php');

			$this->_AddMapping('Provincias__recargar', 'Provincias');
			$this->_AddForward('Provincias__recargar', 'gvHidraSuccess', 'index.php?view=views/Puertos/p_Provincias.php&panel=listar');
			$this->_AddForward('Provincias__recargar', 'gvHidraError', 'index.php?view=views/Puertos/p_Provincias.php&panel=listar');

			$this->_AddMapping('Municipios__operarBD', 'Municipios');
			$this->_AddForward('Municipios__operarBD', 'gvHidraSuccess', 'index.php?view=views/Puertos/p_Provincias.php&panel=listar');
			/*Embarcacion*/
			$this->_AddMapping('Embarcacion__iniciarVentana', 'Embarcacion');
			$this->_AddForward('Embarcacion__iniciarVentana', 'gvHidraSuccess', 'index.php?view=views/Puertos/p_Embarcacion.php&panel=buscar');
			$this->_AddForward('Embarcacion__iniciarVentana', 'gvHidraError', 'index.php?view=views/Puertos/p_Embarcacion.php');

			$this->_AddMapping('Embarcacion__buscar', 'Embarcacion');
			$this->_AddForward('Embarcacion__buscar', 'gvHidraSuccess', 'index.php?view=views/Puertos/p_Embarcacion.php&panel=listar');
			$this->_AddForward('Embarcacion__buscar', 'gvHidraError', 'index.php?view=views/Puertos/p_Embarcacion.php');
			
			
			$this->_AddMapping('Embarcacion__borrar', 'Embarcacion');
			$this->_AddForward('Embarcacion__borrar', 'gvHidraSuccess', 'index.php?view=views/Puertos/p_Embarcacion.php&panel=listar');
			$this->_AddForward('Embarcacion__borrar', 'gvHidraNoData', 'index.php?view=views/Puertos/p_Embarcacion.php&panel=buscar');
			
			$this->_AddMapping('Embarcacion__cancelarTodo', 'Embarcacion');
			$this->_AddForward('Embarcacion__cancelarTodo', 'gvHidraSuccess', 'index.php?view=views/Puertos/p_Embarcacion.php');
			
			$this->_AddMapping('Embarcacion__cancelarEdicion', 'Embarcacion');
			$this->_AddForward('Embarcacion__cancelarEdicion', 'gvHidraSuccess', 'index.php?view=views/Puertos/p_Embarcacion.php&panel=listar');
			
			$this->_AddMapping('Embarcacion__editar', 'Embarcacion');
			$this->_AddForward('Embarcacion__editar', 'gvHidraSuccess', 'index.php?view=views/Puertos/p_Embarcacion.php&panel=editar');
			$this->_AddForward('Embarcacion__editar', 'gvHidraError', 'index.php?view=views/Puertos/p_Embarcacion.php&panel=listar');
			
			$this->_AddMapping('Embarcacion__nuevo', 'Embarcacion');
			$this->_AddForward('Embarcacion__nuevo', 'gvHidraSuccess', 'index.php?view=views/Puertos/p_Embarcacion.php&panel=editar');				
			
			$this->_AddMapping('Embarcacion__insertar', 'Embarcacion');
			$this->_AddForward('Embarcacion__insertar', 'gvHidraSuccess', 'index.php?view=views/Puertos/p_Embarcacion.php&panel=buscar');
			
			$this->_AddMapping('Embarcacion__modificar', 'Embarcacion');
			$this->_AddForward('Embarcacion__modificar', 'gvHidraSuccess', 'index.php?view=views/Puertos/p_Embarcacion.php&panel=listar');		
			/*Puerto - Estancia*/
			$this->_AddMapping('Puerto__nuevo', 'Puerto');
			$this->_AddForward('Puerto__nuevo', 'gvHidraSuccess', 'index.php?view=views/Puertos/p_Puerto.php&panel=editar');


			$this->_AddMapping('Puerto__operarBD', 'Puerto');
			$this->_AddForward('Puerto__operarBD', 'gvHidraSuccess', 'index.php?view=views/Puertos/p_Puerto.php&panel=listar');
			$this->_AddForward('Puerto__operarBD', 'gvHidraNoData', 'index.php?view=views/Puertos/p_Puerto.php&panel=buscar');

			$this->_AddMapping('Puerto__iniciarVentana', 'Puerto');
			$this->_AddForward('Puerto__iniciarVentana', 'gvHidraSuccess', 'index.php?view=views/Puertos/p_Puerto.php&panel=buscar');
			$this->_AddForward('Puerto__iniciarVentana', 'gvHidraError', 'index.php?view=views/Puertos/p_Puerto.php&panel=buscar');


			$this->_AddMapping('Puerto__buscar', 'Puerto');
			$this->_AddForward('Puerto__buscar', 'gvHidraSuccess', 'index.php?view=views/Puertos/p_Puerto.php&panel=listar');
			$this->_AddForward('Puerto__buscar', 'gvHidraError', 'index.php?view=views/Puertos/p_Puerto.php&panel=listar');

			$this->_AddMapping('Puerto__cancelarTodo', 'Puerto');
			$this->_AddForward('Puerto__cancelarTodo', 'gvHidraSuccess', 'index.php?view=views/Puertos/p_Puerto.php&panel=listar');

			$this->_AddMapping('Puerto__recargar', 'Puerto');
			$this->_AddForward('Puerto__recargar', 'gvHidraSuccess', 'index.php?view=views/Puertos/p_Puerto.php&panel=listar');
			$this->_AddForward('Puerto__recargar', 'gvHidraError', 'index.php?view=views/Puertos/p_Puerto.php&panel=listar');

			$this->_AddMapping('Estancia__operarBD', 'Estancia');
			$this->_AddForward('Estancia__operarBD', 'gvHidraSuccess', 'index.php?view=views/Puertos/p_Puerto.php&panel=listar');
            $this->_AddForward('Estancia__operarBD', 'gvHidraNoData', 'index.php?view=views/Puertos/p_Puerto.php&panel=buscar');}}?>